=== debian/control ===
Source: ros-kinetic-gridmap-2d
Section: misc
Priority: extra
Maintainer: Pramuditha Aravinda <aravindadp@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-kinetic-catkin, ros-kinetic-nav-msgs, ros-kinetic-rosconsole, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/gridmap_2d
Standards-Version: 3.9.2

Package: ros-kinetic-gridmap-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-kinetic-nav-msgs, ros-kinetic-rosconsole, ros-kinetic-roscpp
Description: gridmap_2d - a simple 2D gridmap structure, based on OpenCV's cv::Mat
